# Microsoft make file for ieetst, eparanoi, and ecalc.
CFLAGS=/c
INCS= mconf.h ehead.h
ieee.obj: ieee.c $(INCS)
	cl $(CFLAGS) ieee.c

elog.obj: elog.c $(INCS)
	cl $(CFLAGS) elog.c

eexp.obj: eexp.c $(INCS)
	cl $(CFLAGS) eexp.c

etanh.obj: etanh.c $(INCS)
	cl $(CFLAGS) etanh.c

esqrt.obj: esqrt.c $(INCS)
	cl $(CFLAGS) esqrt.c

epow.obj: epow.c $(INCS)
	cl $(CFLAGS) epow.c

mtherr.obj: mtherr.c $(INCS)
	cl $(CFLAGS) mtherr.c

etodec.obj: etodec.c $(INCS)
	cl $(CFLAGS) etodec.c

ieetst.obj: ieetst.c $(INCS)
	cl $(CFLAGS) ieetst.c

drand.obj: drand.c $(INCS)
	cl $(CFLAGS) drand.c

econst.obj: econst.c $(INCS)
	cl $(CFLAGS) econst.c

ecalc.obj: ecalc.c qcalc.h $(INCS)
	cl $(CFLAGS) ecalc.c

eparanoi.obj: eparanoi.c $(INCS)
	cl $(CFLAGS) eparanoi.c

ieetst.exe: ieetst.obj ieee.obj econst.obj elog.obj eexp.obj \
 etanh.obj esqrt.obj epow.obj drand.obj mtherr.obj
 link ieetst ieee econst elog eexp etanh esqrt epow drand mtherr;

ecalc.exe: ecalc.obj ieee.obj econst.obj elog.obj eexp.obj \
 etanh.obj esqrt.obj epow.obj etodec.obj mtherr.obj
 link ecalc ieee econst elog eexp etanh esqrt epow etodec mtherr;

eparanoi.exe: eparanoi.obj ieee.obj econst.obj elog.obj eexp.obj \
 etanh.obj esqrt.obj epow.obj mtherr.obj
 link eparanoi ieee econst elog eexp etanh esqrt epow mtherr;
